mozc (2.29.5160.102+dfsg-1.4ubuntu2) questing; urgency=medium

  * debian/ibus-mozc-gnome-initial-setup.sh: Append to input-sources
    instead of prepending (LP: #2123846)
  * debian/control: Update Vcs fields to point to git.launchpad.net

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Mon, 22 Sep 2025 15:18:05 +0800

mozc (2.29.5160.102+dfsg-1.4ubuntu1) questing; urgency=medium

  * Fix FTBFS on RISC-V by switching to CPP 20 (LP: #2121938)

 -- Valentin Haudiquet <valentin.haudiquet@canonical.com>  Tue, 09 Sep 2025 09:36:00 +0200

mozc (2.29.5160.102+dfsg-1.4build1) questing; urgency=medium

  * Rebuild against latest abseil

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 01 May 2025 14:27:48 -0400

mozc (2.29.5160.102+dfsg-1.4) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/0016-Fix-FTBFS-with-absl-20240722.0.patch
    Apply patch to fix FTBFS with abseil 20240722.0

 -- Kentaro Hayashi <kenhys@xdump.org>  Mon, 10 Mar 2025 21:29:12 +0900

mozc (2.29.5160.102+dfsg-1.3) unstable; urgency=medium

  * Non-maintainer upload.

  [ Masato TOYOSHIMA ]
  * Fixed icon name collision.

 -- Boyuan Yang <byang@debian.org>  Wed, 01 Jan 2025 18:05:36 -0500

mozc (2.29.5160.102+dfsg-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/fcitx5-backport/:
    + e13338a41329f58e724801771f0cecf7338e24fb.patch: Backport fixes
      for fcitx icon names. (Closes: #1091829)
  * debian/fcitx-mozc-data.links: Also adjust file installation link
    accordingly following the patch.

 -- Boyuan Yang <byang@debian.org>  Tue, 31 Dec 2024 23:02:07 -0500

mozc (2.29.5160.102+dfsg-1.1) unstable; urgency=medium

  [ Kentaro HAYASHI ]
  * Non-maintainer upload
  * Fix source after successful build (Closes: #1045435)
  * Fix binary build after successful build (Closes: #1049806)
  * Add support for loong64 architecture (Closes: #1050420, #1059962)

 -- Kentaro Hayashi <kenhys@xdump.org>  Sat, 21 Dec 2024 14:11:50 +0900

mozc (2.29.5160.102+dfsg-1) unstable; urgency=medium

  [ Kentaro HAYASHI ]
  * Non-maintainer upload
  * Upload to unstable.

 -- Kentaro Hayashi <kenhys@xdump.org>  Thu, 05 Dec 2024 20:35:01 +0900

mozc (2.29.5160.102+dfsg-1~exp1) experimental; urgency=medium

  [ Kentaro HAYASHI ]
  * Non-maintainer upload
  * d/watch
    - Add d/watch to track upstream release
  * d/copyright
    - Add Files-Excluded: to repack with uscan.
  * d/control
    - Fix W: build-depends-on-obsolete-package pkgconf
    - Fix implicit P: silent-on-rules-requiring-root
    - Bump Standards-Version to 4.7.0. No other changes are required.
  * Refresh patches from 0001-0010, and added 0011-0015
    to support Mozc 2.29.5160.102.

 -- Kentaro Hayashi <kenhys@xdump.org>  Sun, 24 Nov 2024 20:32:18 +0900

mozc (2.28.4715.102+dfsg-2.3) unstable; urgency=medium

  [ Gunnar Hjalmarsson ]
  * debian/mozc-utils-gui.install: Install Credits file (LP: #2028730)

  [ Edward Betts ]
  * d/control and d/copyright: Remove .git from end of github URL

  [ Kentaro HAYASHI ]
  * Add patches
    0010-Fix-the-compile-error-of-ParseCommandLineFlags-with.patch and
    0011-Fix-missing-abseil-gyp-link-settings.patch to fix FTBFS with
    latest abseil (Closes: #1068186)

  [ Xiyue Deng ]
  * Non-maintainer upload
  * Apply patches from Kentaro Hayashi

 -- Xiyue Deng <manphiz@gmail.com>  Tue, 28 May 2024 23:43:09 -0700

mozc (2.28.4715.102+dfsg-2.2) unstable; urgency=medium

  * Non-maintainer upload

  [ Nobuhiro Iwamatsu ]
  * Really fix the build failure on armel (closes: #1024898):
    - Update d/patches/0006-Update-gyp-using-absl.patch (add -latomic)
    - d/patches/0009-protobuf.gyp-Add-latomic-to-link_settings.patch

  [ Gunnar Hjalmarsson ]
  * Revert "Stop building on armel for now"

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Sat, 10 Dec 2022 11:44:49 +0100

mozc (2.28.4715.102+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload
  * Upload to unstable
    - Reverses the switch to GTK 3, which closes: #1023525 and causes
      a need to reopen bug #967641.
  * Stop building on armel for now (closes: #1024829, #1024898)

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Fri, 09 Dec 2022 01:08:02 +0100

mozc (2.28.4715.102+dfsg-2.1~exp1) experimental; urgency=medium

  * Non-maintainer upload
  * Reverse the switch from GTK 2 to GTK 3 for now
    - Build-dep on libgtk2.0-dev instead of libgtk-3-dev
    - Disable d/p/0008-renderer-Convert-Gtk2-to-Gtk3.patch

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Wed, 30 Nov 2022 21:50:18 +0100

mozc (2.28.4715.102+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 25 Sep 2022 17:03:34 +0900

mozc (2.28.4715.102+dfsg-1) experimental; urgency=medium

  * New upstream release. (Closes: #100201, #967641)
  * Update d/control.
    - Use libgtk-3-dev instead of libgtk2.0-dev in B-D. (Closes: #967641)
    - Bumped Standards-Version to 4.6.0.1.
  * Convert renderer Gtk2 to Gtk3.
    Add debian/patches/0008-renderer-Convert-Gtk2-to-Gtk3.patch.
  * Update d/rules.
    - Remove white space.
  * Update d/copyright.
    - Update copyright year.
  * Update d/changelog.
    - Remove white space.
  * Update d/uim-mozc.install.
    - Use DEB_HOST_MULTIARCH instead of DEB_BUILD_MULTIARCH.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 29 May 2022 11:14:00 +0900

mozc (2.26.4220.100+dfsg-5.2) unstable; urgency=medium

  * Non-maintainer upload
  * Install missing icon symlink for fcitx5-mozc
    - Closes: #1009254, LP: #1968454

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Sun, 10 Apr 2022 15:04:16 +0200

mozc (2.26.4220.100+dfsg-5.1) unstable; urgency=medium

  * Non-maintainer upload
  * Add autostart file to launch Xwayland on startup of wayland session
    - Proved to be useful on Ubuntu 21.10 (LP: #1946969)

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Sat, 16 Oct 2021 21:11:28 +0200

mozc (2.26.4220.100+dfsg-5) unstable; urgency=medium

  * Use 'command -v' instead of which (Closes: #992724).
    - Updae d/patches/0003-Change-compiler-from-clang-to-gcc.patch
    - Add d/patches/0009-common.gypi-Use-command-v-instead-of-which.patch

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 23 Aug 2021 09:59:51 +0900

mozc (2.26.4220.100+dfsg-4.1) unstable; urgency=medium

  * Non-maintainer upload
  * Drop handwriting (zinnia) dependencies (closes: #985758)
  * Build also on the riscv64 arch (closes: #992035, LP: #1939275)

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Sat, 21 Aug 2021 21:01:35 +0200

mozc (2.26.4220.100+dfsg-4) unstable; urgency=medium

  * Fix typo in Exec of d/ibus-mozc-gnome-initial-setup.desktop.
  * Cleanup d/ibus-mozc-gnome-initial-setup.sh. Thanks to YOSHINO Yoshihito.
  * Update d/control.
    * Drop unnecessary packages from fcitx5-mozc.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 28 Feb 2021 21:38:42 +0900

mozc (2.26.4220.100+dfsg-3) unstable; urgency=medium

  * Add autostart file to ibus-mozc. (Closes: #983623)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 28 Feb 2021 10:26:30 +0900

mozc (2.26.4220.100+dfsg-2) unstable; urgency=medium

  * Add d/salsa-ci.yml.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 06 Jan 2021 19:27:11 +0900

mozc (2.26.4220.100+dfsg-1) unstable; urgency=medium

  * New upstream release. (Closes: #975491)
  * Update d/control.
    * Bump debhelper-compat to 13.
    * Add libfcitx5utils-dev, libfcitx5config-dev and fcitx5-modules-dev
      to B-D.
    * Add libabsl-dev, python3-six and dh-exec to B-D.
    * Add fcitx5-mozc package. This provides support for fcitx5.
    * Add fcitx-mozc-data package.
  * Update d/patches.
    * Update filename.
    * Add fcitx5 binding. (Closes: #974894)
      Take the patch from https://github.com/fcitx/mozc.
    * Drop some patches.
      * Change-from-python-to-python3.patch
      * Change-from-python-to-python3.patch
      * Change-from-python2-code-to-python3.patch
      * Fix-build-with-gcc8.patch
      * fcitx-mozc-updates.patch
      * protobuf_generated_classes_no_inheritance.patch
    * Update 0001-Update-uim-mozc-to-c979f127acaeb7b35d3344e8b1e40848e.patch
      * Fix build with latest mozc.
    * Update 0002-Support-fcitx.patch
      * Fix build of Utf8SubString for fcitx.
      * Fix build of Utf8SubString for fcitx5.
    * Add 0007-Update-src-base-absl.gyp.patch
      This add support build with libabsl shared library.
    * Add 0008-Use-std-extent-instead-of-std-size.patch
      This fix building without C++17.
  * Update d/gbp.conf
    * Set DEP14 to dist, and set debian/sid to debian-branch.
  * Remove d/uim-mozc.lintian-overrides and d/fcitx-mozc.lintian-overrides.
  * Add d/upstream/metadata.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 27 Dec 2020 22:01:58 +0900

mozc (2.23.2815.102+dfsg-10) unstable; urgency=medium

  * Fix FTBFS with Protobuf 3.12.3 (Closes: #963244)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 11 Jul 2020 06:11:37 +0900

mozc (2.23.2815.102+dfsg-9) unstable; urgency=medium

  * Change to debhelper 12.
  * Bump Standards-Version to 4.5.0.
  * Add patches/Change-from-python-to-python3.patch
  * Use patches/Change-from-python2-code-to-python3.patch instead of
    patches/Support-python3.patch

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 24 May 2020 06:48:53 +0900

mozc (2.23.2815.102+dfsg-8) unstable; urgency=medium

  [Gunnar Hjalmarsson]
  * Add extra desktop file for gnome-control-center.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 20 Jan 2020 21:59:46 +0900

mozc (2.23.2815.102+dfsg-7) unstable; urgency=medium

  * Update d/rules.
    Fix DSO missing for libatomic on armel.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 25 Jul 2019 19:44:59 +0900

mozc (2.23.2815.102+dfsg-6) unstable; urgency=medium

  * Add d/patches/Add-support-verbose-build.patch
    Enable verbose build on ninja.
  * Build mozc_tool with static library of libprotobuf.
    mozc uses protobuf library. The protbuf library can not handle dlopen well
    by design, there is a problem with this (See #721791).
    This problem is also reported to Upstream, but since protbuf is assumed
    to be used as static link, it has not been fixed yet.
      - https://github.com/protocolbuffers/protobuf/issues/1941
      - https://github.com/protocolbuffers/protobuf/issues/4126
    This fix separates the build targets, and problematic mozc_tools provide
    libprotobuf with static link. If this issue is fixed upstream, mozc_tool
    will be provided again via dynamic link.
    (Closes: #700307, #774370)
  * Migrate from python2 to python3.
    Add d/patches/Support-python3.patch
  * Update d/copyright.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 24 Jul 2019 20:00:08 +0900

mozc (2.23.2815.102+dfsg-5) unstable; urgency=medium

  * Update debian/rules.
    ibus-mozc: Change mozc-utils-gui from Recommend to Suggest for Ubuntu only.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 16 Jul 2019 18:03:23 +0900

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog mozc-server`.
